Skip to main content

Rent Roll

RentRoll objects represent top-level rent roll data from AppFolio®. Skywalk API allows you to obtain the following unit attributes from AppFolio®.

The RentRoll Object

Attributes


appfolioIdstring
Unique AppFolio ID for unit.
Example:
"210"

unitstring
Name of unit. Often the unit number.
Example:
"101"

unitIdstring
ID of unit.
Example:
210

unitTypestring
Unit type.
Example:
"1+1"

unitTagsstring[]
Tags of the unit.
Example:
"With Patio, Remodeled"

bdBastring
Number of bedrooms and bathrooms in unit.
Example:
"1/1.00"

sqftstring
Square footage of the unit.
Example:
"800"

amenitiesstring
Amenities of the unit.
Example:
"Patio 55 sf"


More Attributes


rentStatusstring

applicationFeestring

amenitiesPricestring

propertyGroupIdstring[]

portfolioIdinteger

property.appfolioIdstring

property.labelstring

property.namestring

propertyAddress.fullstring

propertyAddress.streetstring

propertyAddress.street2string

propertyAddress.citystring

propertyAddress.statestring

propertyAddress.zipstring

moveInstring

legalRentstring

annualRentSquareFtstring

monthlyMarketRentSquareFtstring

previousOccupancyRentstring

The RentRoll Object
{
"appfolioId": "210",
"unit": "101",
"unitId": 210,
"unitType": "1+1",
"unitTags": "With Patio, Remodeled",
"bdBa": "1/1.00",
"sqft": "800",
"amenities": "Patio 55 sf",
"rentReady": "Yes",
"rentStatus": null,
"applicationFee": null,
"amenitiesPrice": "0.00",
"propertyGroupId": [
"2",
"3"
],
"portfolioId": 9,
"property": {
"appfolioId": "7",
"label": "Warm Weather Apartments",
"name": "Warm Weather Apartments"
},
"propertyAddress": {
"full": "1234 Warm Weather Rd., CA 90001",
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"leaseFrom": "01/1/2022",
"leaseTo": "02/28/2024",
"moveIn": "01/1/2022",
"moveOut": null,
"rent": "2,095.00",
"marketRent": "2,095.00",
"computedMarketRent": "2,095.00",
"legalRent": null,
"advertisedRent": "2,095.00",
"annualRent": "25,140.00",
"monthlyRentSquareFt": "2.62",
"annualRentSquareFt": "31.43",
"monthlyMarketRentSquareFt": "2.62",
"annualMarketRentSquareFt": "31.43",
"previousOccupancyRent": "1,900.00",
"previousRent": null,
"lastMoveOut": "12/15/2021",
"preferentialRent": null,
"occupancyId": 321,
"tenantId": 123,
"tenant": "Cindy Crawford",
"additionalTenants": [],
"additionalTenantIds": [],
"tenantTags": null,
"tenantAgent": null,
"status": "Current",
"statusBySquareFeet": "Current",
"monthlyCharges": "-128.96",
"deposit": "2,000.00",
"depositAuthorized": "0.00",
"pastDue": "96.53",
"nsf": "0",
"late": "2",
"leaseExpiresMonth": "Mar 2024",
"lastRentIncrease": null,
"nextRentAdjustment": null,
"nextRentIncreaseAmount": null,
"nextRentIncrease": "03/29/2024",
"affordableProgram": null
}

Get Rent Roll

GET /v1/rent-roll

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The rent roll endpoint returns a rent roll report data from AppFolio® account. This endpoint should respond immediately with your most recently cached data.

Parameters


propertyIdselect
AppFolio ID of a Property to serve as a filter.

propertyGroupIdselect
AppFolio ID of a Property Group to serve as a filter.

ownerIdselect
AppFolio ID of an Owner to serve as a filter.

datedate
"As of" date for report given in MM/DD/YYYY (e.g. 01/31/2021)

 

Returns


The standard List Response Format with a data property containing an array of RentRoll objects.

GET /v1/rent-roll
curl -X GET 'https://api.skywalkapi.com/v1/rent-roll' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/rent-roll",
"query": {},
"count": 1,
"lastUpdated": 1610992228
},
"links": {
"next": "/v1/rent-roll?cursor=abcdefg"
},
"data": [
{
"appfolioId": "210",
"unit": "101",
"unitId": 210,
"unitType": "1+1",
"unitTags": "With Patio, Remodeled",
"bdBa": "1/1.00",
"sqft": "800",
"amenities": "Patio 55 sf",
"rentReady": "Yes",
"rentStatus": null,
"applicationFee": null,
"amenitiesPrice": "0.00",
"propertyGroupId": [
"2",
"3"
],
"portfolioId": 9,
"property": {
"appfolioId": "7",
"label": "Warm Weather Apartments",
"name": "Warm Weather Apartments"
},
"propertyAddress": {
"full": "1234 Warm Weather Rd., CA 90001",
"street": "1234 Warm Weather Rd.",
"street2": "",
"city": "Los Angeles",
"state": "CA",
"zip": "90001"
},
"leaseFrom": "01/1/2022",
"leaseTo": "02/28/2024",
"moveIn": "01/1/2022",
"moveOut": null,
"rent": "2,095.00",
"marketRent": "2,095.00",
"computedMarketRent": "2,095.00",
"legalRent": null,
"advertisedRent": "2,095.00",
"annualRent": "25,140.00",
"monthlyRentSquareFt": "2.62",
"annualRentSquareFt": "31.43",
"monthlyMarketRentSquareFt": "2.62",
"annualMarketRentSquareFt": "31.43",
"previousOccupancyRent": "1,900.00",
"previousRent": null,
"lastMoveOut": "12/15/2021",
"preferentialRent": null,
"occupancyId": 321,
"tenantId": 123,
"tenant": "Cindy Crawford",
"additionalTenants": [],
"additionalTenantIds": [],
"tenantTags": null,
"tenantAgent": null,
"status": "Current",
"statusBySquareFeet": "Current",
"monthlyCharges": "-128.96",
"deposit": "2,000.00",
"depositAuthorized": "0.00",
"pastDue": "96.53",
"nsf": "0",
"late": "2",
"leaseExpiresMonth": "Mar 2024",
"lastRentIncrease": null,
"nextRentAdjustment": null,
"nextRentIncreaseAmount": null,
"nextRentIncrease": "03/29/2024",
"affordableProgram": null
}
]
}